[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TSizeConstraints.EffectiveMinWidth

Determines the minimum applicable width given the local and interface constraints.

## Declaration

Source position: controls.pp line 730

`public function TSizeConstraints.EffectiveMinWidth: Integer; virtual;`

## Function result

Zero means no size constraint is defined.

## See also

TSizeConstraints.MinMaxWidth |  | Determines the constrained Width and transfers it to the widget.
TSizeConstraints.SetInterfaceConstraints |  | Used by the LCL interface to set the widgetset constraints in the class instance.